Subject: Sunspool Replacement Parts?

From: [email-masked] (David B. Miller)
Date: Wed, 24 May 1995 03:06:29 GMT

I've had an active solar hot water system in place for around 15 years. The
drain down valve stopped automatic functioning due to parts failure a few
years back. I'm not as good at remembering to manually drain down in cold
weather as the automatic system was.

 I am unable to contact the Sunspool Company in California from any info
that I have. Does anyone know - are they still in business? Or, is there a
place that would still stock repair parts? Or, could someone recommend a
reasonably priced replacement unit?

 Thanks, Dave

_______________________________________________________
  Dave Miller                                    Volunteer Firefighter                                                         
  Marysville, WA USA                           EMT-I, IV & Airway
  [email-masked]                            Internet Junkie
_______________________________________________________